#!/usr/bin/env python
# -*- coding: utf-8 -*-

EIMAGE_LANGUAGES = ("en","ua","ru")

EIMAGE_PRESETS = {
	"plate":{
		"margin": [0.0, 0.0, 0.0, 0.0],
		"sizes": [134, 30, 0, 0, 0, 0]
	},
	"body":{
		"margin": [2.5, 0.0, 2.25, -0.5, 2.5, 0.0, 2.25, -0.5],
		"sizes": [0, 0, 0, 0, 220, 165]
	},
	"stampedframe":{
		"subtitle":{
			"subconf": "default.frame",
			"rectmargin": [-1, -1.07, 1.6, 1.2]
		}
	},
	"stampedbody":{
		"margin": [2.5, 0.0, 2.25, -0.5, 2.5, 0.0, 2.25, -0.5],
		"sizes": [0, 0, 0, 0, 620, 488],
		"subtitle":{
			"subconf": "default.body",			
			"rectmargin": [-3, -2.07, 3.27, 2.98]
		}
	}
}

EIMAGE_SUBTITLES = {
	"default.frame": {
		"en": {
				"float": "bottom",
				"grid": [1,4],
				"font": { "size": 36 },
				"template": [
					[0,0,"","","postnamegd"],
					[0,2,"","","moment"],
					[0,3,"","km/h","speedext"]
				]
			},
		"ru": {
				"float": "bottom",
				"grid": [1,4],
				"font": { "size": 36 },
				"template": [
					[0,0,"","","postnamegd"],
					[0,2,"","","moment"],
					[0,3,"","км/ч","speedext"]
				]
			},
		"ua": {
				"float": "bottom",
				"grid": [1,4],
				"font": { "size": 36 },
				"template": [
					[0,0,"","","postnamegd"],
					[0,2,"","","moment"],
					[0,3,"","км/год","speedext"]
				]
			}
	},	
	"default.body": {
		"en": {
				"float": "bottom",
				"grid": [1,10],
				"font": { "size": 12 },
				"template": [
					[0,0,"","","postnamegd"],
					[0,5,"","","moment"],
					[0,8,"","km/h","speedext"]
				]
			},
		"ru": {
				"float": "bottom",
				"grid": [1,10],
				"font": { "size": 12 },
				"template": [
					[0,0,"","","postnamegd"],
					[0,5,"","","moment"],
					[0,8,"","км/ч","speedext"]
				]
			},
		"ua": {
				"float": "bottom",
				"grid": [1,10],
				"font": { "size": 12 },
				"template": [
					[0,0,"","","postnamegd"],
					[0,5,"","","moment"],
					[0,8,"","км/год","speedext"]
				]
			}
	},		
	"template3.frame": {
		"en": {
				"float": "bottom",
				"grid": [3,8],
				"font": { "size": 36 },
				"template": [
					[0,0,"","","channelparam[streetaddress]"],
					[0,4,"","","geodata"],
					[1,0,"","","postparam[serial]"],
					[1,4,"","","moment"],
					[2,0,"MAX SPD: "," km/h","speedlimit"],
					[2,2,"SPD: "," km/h","speedval"],
					[2,4,"","","direction"],
					[2,6,"LP:","","number"]
				]
			},
		"ua": {
				"float": "bottom",
				"grid": [3,8],
				"font": { "size": 12 },
				"template": [
					[0,0,"","","channelparam[streetaddress]"],
					[0,4,"","","geodata"],
					[1,0,"","","postparam[serial]"],
					[1,4,"","","moment"],
					[2,0,"MAX SPD: "," km/h","speedlimit"],
					[2,2,"SPD: "," km/h","speedval"],
					[2,4,"","","direction"],
					[2,6,"LP:","","number"]
				]
			}
	},		
    "template4.body": {
		"en": {
				"float": "bottom",
				"grid": [1,10],
				"font": { "size": 12 },
				"template": [
					[0,0,"","","postnamegd"],
					[0,5,"","","moment"]
				]
			},
    	"ua": {
				"float": "bottom",
				"grid": [1,4],
				"font": { "size": 36 },
				"template": [
					[0,0,"","","postnamegd"],
					[0,2,"","","moment"]
				]
			}
	}
}	



