create or replace function binfs.test ( dirpath text ) returns boolean as $$
import os

if not os.path.exists(dirpath):
    try:
        os.makedirs(dirpath)
    except Exception as ex:
        plpy.execute("select core.log('binfs.test',"
                     "'error','test dir ['||{0}||']: '||{1}||'')"
                     .format(plpy.quote_literal(dirpath),
                             plpy.quote_nullable(str(ex))))
        return False
else:
    try:
        td = os.path.join(dirpath, '__binfs.' + str(os.getpid()))
        if os.path.exists(td):
            os.rmdir(td)
        os.makedirs(td)
    except Exception as ex:
        plpy.execute("select core.log('binfs.test','error',"
                     "'test dir ['||{0}||']: '||{1}||'')"
                     .format(plpy.quote_literal(dirpath),
                             plpy.quote_nullable(str(ex))))
        return False
return True
$$ language plpythonu;
