CREATE or replace FUNCTION lib.bytea_save_formatted(ibin bytea, ipath text, iparam text, iextparam text DEFAULT NULL::text) RETURNS integer
    LANGUAGE plpythonu
    AS $$
import datetime
import os
import re
import string
import unicodedata

try:
    param = eval(re.sub(r"\p{Mn}", "",
                        unicodedata.normalize("NFKD",
                                              (iparam).decode('utf-8'))))
except Exception as ex:
    plpy.notice('ERROR:BSF1: ' + str(ex))
    return None

try:
    if iextparam is not None:
        extparam = eval(re.sub(r"\p{Mn}", "",
                        unicodedata.normalize("NFKD",
                                              (iextparam).decode('utf-8'))))
        for k, v in enumerate(extparam):
            if k not in param:
                param[k] = v
except Exception as ex:
    plpy.notice('ERROR:BSF2: ' + str(ex))
    return None
t = datetime.datetime.now()
if 'yy' not in param:
    param['yy'] = str(t.year)
if 'mm' not in param:
    param['mm'] = str(t.month)
if 'dd' not in param:
    param['dd'] = str(t.day)
if 'dt' not in param:
    param['dt'] = t.date().strftime("%d-%m-%Y")
if 'tt' not in param:
    param['tt'] = t.time().strftime("%H.%M.%S")

try:
    tpl = string.Template(re.sub(r"\p{Mn}", "",
                          unicodedata.normalize("NFKD",
                                                (ipath).decode('utf-8'))))
    filepath = tpl.safe_substitute(param)
    folder = os.path.dirname(filepath)
    if not os.path.exists(folder):
        os.makedirs(folder)
    if os.path.exists(filepath):
        os.remove(filepath)
except Exception as ex:
    plpy.notice('ERROR:BSF3: ' + str(ex))
    return None

try:
    with open(filepath, 'wb') as f:
        f.write(ibin)
except Exception as ex:
    plpy.notice('ERROR:BSF4: ' + str(ex))
    return None
return len(ibin)
$$;
