create or replace function lib.jstrbit( imask bigint, ibits integer, isection varchar default 'public', iprefix varchar default null ) returns json as $$
declare
	i integer := 0;
	mask bigint := 1;
	str text;
	arr text[];
begin
	if ibits isnull or not ibits between 1 and 62 then ibits := 62; end if;
	loop
		if imask & mask > 0 then
			if iprefix notnull and not iprefix = '' then
				if not iprefix ~ '^\^' then iprefix := '^'||iprefix; end if;
				select into str replace(name,iprefix,'') 
				from public.const_integer 
				where section = isection and name ~ iprefix and value = mask limit 1;
				if found and str notnull and not str = '' then
					arr := arr || array[str];
				end if;
			else
				select into str name 
				from public.const_integer 
				where section = isection and value = mask limit 1;
				if found and str notnull and not str = '' then
					arr := arr || array[str];
				end if;
			end if;
		end if;
		i := i + 1;
		mask := mask << 1;
		exit when i > ibits;
	end loop;	
	if arr notnull and array_length(arr,1)>0 then
		return array_to_json(arr);
	else
		return '[]'::json;
	end if;	
end;
$$ language plpgsql;


