
CREATE or replace FUNCTION service.maintenance_clean() RETURNS void
    LANGUAGE plpgsql
    AS $$
declare
	r record;
	n bigint;
	cnt bigint;
	allock boolean;
begin
	perform true from core.lock where name = 'maintenance.clean' for update nowait;
	update core.lock set lastlock = clock_timestamp() where name = 'maintenance.clean';

	insert into service.maintenance_log ( key, value ) values ( E'CLEAN', E'START' );

	perform service.maintenance_clip('age');  
	
    perform service.maintenance_clip('collection');  
	
	insert into service.maintenance_log ( key, value ) values ( E'CLEAN', E'END' );
	
	update core.lock set lastrelease = clock_timestamp() where name = 'maintenance.clean';

exception when lock_not_available then
	insert into service.maintenance_log ( key, value ) values ( E'CLEAN_LOCK', E'duplicate instance' );
end;
$$;

